get_account_authorization_details¶
Operation¶
get_account_authorization_details
async
¶
get_account_authorization_details(request: GetAccountAuthorizationDetailsInput | GetAccountAuthorizationDetailsInputDict, /, *, plugins: list[Plugin] | None = None) -> GetAccountAuthorizationDetailsOutput
get_account_authorization_details(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[GetAccountAuthorizationDetailsInputDict]) -> GetAccountAuthorizationDetailsOutput
Retrieves information about all IAM users, groups, roles, and policies in your Amazon Web Services account, including their relationships to one another. Use this operation to obtain a snapshot of the configuration of IAM permissions (users, groups, roles, and policies) in your account.
Note
Policies returned by this operation are URL-encoded compliant with RFC
3986. You can use a URL decoding
method to convert the policy back to plain JSON text. For example, if
you use Java, you can use the decode method of the
java.net.URLDecoder utility class in the Java SDK. Other languages and
SDKs provide similar functionality, and some SDKs do this decoding
automatically.
You can optionally filter the results using the Filter parameter. You
can paginate the results using the MaxItems and Marker parameters.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
GetAccountAuthorizationDetailsOutput
|
An instance of |
Input¶
Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.
Model¶
GetAccountAuthorizationDetailsInput
dataclass
¶
Bases: _SerdeShape
Dataclass for GetAccountAuthorizationDetailsInput structure.
Attributes¶
filter
class-attribute
instance-attribute
¶
A list of entity types used to filter the results. Only the entities
that match the types you specify are included in the output. Use the
value LocalManagedPolicy to include customer managed policies.
The format for this parameter is a comma-separated (if more than one) list of strings. Each string value in the list must be one of the valid values listed below.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
class-attribute
instance-attribute
¶
max_items: int | None = ...
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
Dictionaries¶
GetAccountAuthorizationDetailsInputDict
¶
Bases: TypedDict
Dictionary form of GetAccountAuthorizationDetailsInput.
Attributes¶
filter
instance-attribute
¶
A list of entity types used to filter the results. Only the entities
that match the types you specify are included in the output. Use the
value LocalManagedPolicy to include customer managed policies.
The format for this parameter is a comma-separated (if more than one) list of strings. Each string value in the list must be one of the valid values listed below.
marker
instance-attribute
¶
marker: str | None
Use this parameter only when paginating results and only after you
receive a response indicating that the results are truncated. Set it to
the value of the Marker element in the response that you received to
indicate where the next call should start.
max_items
instance-attribute
¶
max_items: int | None
Use this only when paginating results to indicate the maximum number of
items you want in the response. If additional items exist beyond the
maximum you specify, the IsTruncated response element is true.
If you do not include this parameter, the number of items defaults to
100. Note that IAM might return fewer results, even when there are more
results available. In that case, the IsTruncated response element
returns true, and Marker contains a value to include in the
subsequent call that tells the service where to continue from.
Output¶
GetAccountAuthorizationDetailsOutput
dataclass
¶
Bases: _SerdeShape
Contains the response to a successful GetAccountAuthorizationDetails request.
Attributes¶
group_detail_list
class-attribute
instance-attribute
¶
group_detail_list: list[GroupDetail] | None = ...
A list containing information about IAM groups.
is_truncated
class-attribute
instance-attribute
¶
is_truncated: bool = ...
A flag that indicates whether there are more items to return. If your
results were truncated, you can make a subsequent pagination request
using the Marker request parameter to retrieve more items. Note that
IAM might return fewer than the MaxItems number of results even when
there are more results available. We recommend that you check
IsTruncated after every call to ensure that you receive all your
results.
marker
class-attribute
instance-attribute
¶
marker: str | None = ...
When IsTruncated is true, this element is present and contains the
value to use for the Marker parameter in a subsequent pagination
request.
policies
class-attribute
instance-attribute
¶
policies: list[ManagedPolicyDetail] | None = ...
A list containing information about managed policies.
response_metadata
class-attribute
instance-attribute
¶
Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.
role_detail_list
class-attribute
instance-attribute
¶
role_detail_list: list[RoleDetail] | None = ...
A list containing information about IAM roles.
user_detail_list
class-attribute
instance-attribute
¶
user_detail_list: list[UserDetail] | None = ...
A list containing information about IAM users.